--  Haskell Ports Library: main interface to the outside world
--
--  Author : Manuel M. T. Chakravarty
--  Created: 14 May 2001
--
--  Version $Revision: 1.1 $ from $Date: 2001/05/14 07:25:21 $
--
--  Copyright (c) 2001 Manuel M. T. Chakravarty
--
--  This file is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 2 of the License, or
--  (at your option) any later version.
--
--  This file is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--- DESCRIPTION ---------------------------------------------------------------
--
--  This modules defines the API of the Haskelll Ports Library.
--
--- DOCU ----------------------------------------------------------------------
--
--  language: Haskell 98
--
--- TODO ----------------------------------------------------------------------
--

module HPL (

  -- the library signature
  --
  version, copyright, disclaimer,

  -- single assignment variables
  --
  module SVars,

  -- ports
  --
  module Ports,

  -- support for managing and interacting with child processes
  --
  module Processes
) where

import PortsVersion (version, copyright, disclaimer)
import SVars
import Ports
import Processes
